<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class vendaProdutoPeriodoServices {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function find($parametros) {
        $parametros['CDCAIXA'] = $parametros['CDFILICAIXA'];
        $parametros['TCDCAIXA'] = $parametros['TCDFILICAIXA'];
        
        if($parametros['TIPORELATORIO'] == 0){
            return $this->entityManager->getConnection()->fetchAll(Utilities\Query::VENDA_PROD_PERIODO_CLIENTE_ANALITICO, $parametros);
        }
        
        
        if($parametros['TIPORELATORIO'] == 1){
            return $this->entityManager->getConnection()->fetchAll(Utilities\Query::VENDA_PROD_PERIODO_CLIENTE_SINTETICO, $parametros);
        }
    }
}